Package org.apache.sysds.runtime.controlprogram.federated

## Class MatrixLineagePair

- java.lang.Object
- - org.apache.commons.lang3.tuple.Pair<L,​R>
  - - org.apache.commons.lang3.tuple.MutablePair<MatrixObject,​LineageItem>
    - - org.apache.sysds.runtime.controlprogram.federated.MatrixLineagePair

All Implemented Interfaces:
  `Serializable`, `Comparable<org.apache.commons.lang3.tuple.Pair<MatrixObject,​LineageItem>>`, `Map.Entry<MatrixObject,​LineageItem>`

    public class MatrixLineagePair
    extends org.apache.commons.lang3.tuple.MutablePair<MatrixObject,​LineageItem>

Class to represent the relation between a MatrixObject and the respective LineageItem. This class couples the MatrixObject with its LineageItem, where the LineageItem is treated like meta information and the most important methods of the MatrixObject are included as a simple forwarding to the MatrixObject.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.commons.lang3.tuple.MutablePair

`EMPTY_ARRAY, left, right`

### Constructor Summary

Constructors
`MatrixLineagePair()`
`MatrixLineagePair​(MatrixObject mo, LineageItem li)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getBlocksize()`
`DataCharacteristics` `getDataCharacteristics()`
`Types.DataType` `getDataType()`
`long` `getDim​(int dim)`
`FederationMap` `getFedMapping()`
`LineageItem` `getLI()`
`MatrixObject` `getMO()`
`long` `getNumColumns()`
`long` `getNumRows()`
`boolean` `isFederated()`
`boolean` `isFederated​(FTypes.FType ftype)`
`boolean` `isFederatedExcept​(FTypes.FType ftype)`
`static MatrixLineagePair` `of​(MatrixObject mo, LineageItem li)`

### Methods inherited from class org.apache.commons.lang3.tuple.MutablePair

`emptyArray, getLeft, getRight, of, of, setLeft, setRight, setValue`

### Methods inherited from class org.apache.commons.lang3.tuple.Pair

`compareTo, equals, getKey, getValue, hashCode, toString, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MatrixLineagePair

    public MatrixLineagePair()

#### MatrixLineagePair

    public MatrixLineagePair​(MatrixObject mo,
                             LineageItem li)

### Method Detail

#### of

    public static MatrixLineagePair of​(MatrixObject mo,
                                       LineageItem li)

#### getMO

    public MatrixObject getMO()

#### getLI

    public LineageItem getLI()

#### isFederated

    public boolean isFederated()

#### isFederated

    public boolean isFederated​(FTypes.FType ftype)

#### isFederatedExcept

    public boolean isFederatedExcept​(FTypes.FType ftype)

#### getFedMapping

    public FederationMap getFedMapping()

#### getDataCharacteristics

    public DataCharacteristics getDataCharacteristics()

#### getNumRows

    public long getNumRows()

#### getNumColumns

    public long getNumColumns()

#### getBlocksize

    public long getBlocksize()

#### getDataType

    public Types.DataType getDataType()

#### getDim

    public long getDim​(int dim)